meta::bind_back< Fn, Us > Struct Template Reference
Meta » Trait » Composition

An invocable that partially applies the invocable `Fn` by binding the arguments `Us` to the back of `Fn`. More...

`#include <meta/meta.hpp>`

## Public Types

template<typename... Ts>
using | invoke = invoke< Fn, Ts..., Us... >

## Detailed Description

### template<invocable Fn, typename... Us>
struct meta::bind_back< Fn, Us >

An invocable that partially applies the invocable `Fn` by binding the arguments `Us` to the back of `Fn`.